// *** Looking at Imoen to get descriptions: ***

/* If you have Imoen initiate dialogue with herself, a description of her current situation will be given. If you do it for a second time, she'll just say something at random. */

APPEND IMOEN25J
// Imoen is about to break up with you

IF WEIGHT #998
~!AreaType(DUNGEON) Global("IRTPreConflict","GLOBAL",1) IsGabber("Imoen2")~ THEN BEGIN SelfTalkPissed
SAY ~(Imoen looks uneasy, as if she's gathering the courage to tell you something. It is only a matter of time until she comes to you.)~ [IRQUIET]
IF ~~ THEN EXIT
END

// sacred place with talking heads!

IF WEIGHT #997 ~RandomNum(2,1) AreaCheck("AR4000") IsGabber("Imoen2") Global("IRTDescription0","LOCALS",1)~ THEN BEGIN headtalk1
SAY ~(Imoen mutters to herself.) Big talking stone heads. What's next?~ [IRQUIET]
IF ~~ THEN EXIT
END

IF WEIGHT #997 ~RandomNum(2,2) AreaCheck("AR4000") IsGabber("Imoen2") Global("IRTDescription0","LOCALS",1)~ THEN BEGIN headtalk2
SAY ~I think that rock is staring at me.~ [IRQUIET]
IF ~~ THEN EXIT
END

// 0: Before facing Illasera

IF WEIGHT #997
~IsGabber("Imoen2") Global("IRTDescription0","LOCALS",0) AreaCheck("AR4000") !ActuallyInCombat()~ THEN BEGIN des0
 SAY ~Imoen looks agitated, throwing wary glances at the talking rocks now and then. She seems in a state of high alert, as if she knows there is danger nearby but is unable to ascertain how exactly it will manifest.~ [IRQUIET]
 IF ~~ THEN DO ~SetGlobal("IRTDescription0","LOCALS",1)~ EXIT
END


// 1: Before the first test

IF WEIGHT #997
~IsGabber("Imoen2") Global("IRTDescription1","LOCALS",0) AreaCheck("AR4500") !InParty("Sarevok") Exists("Sarevok") GlobalLT("BeginChallenge1","GLOBAL",12) !ActuallyInCombat()~ THEN BEGIN des1
SAY ~The gloomy ambiance of the pocket plane draws strange reflections on Imoen's hair, flowing all over her body under the sky's shifting green light. Her hair and clothes are messy and disheveled from the recent fight, and her mood seems to be in enough disarray to match; she looks with worry from time to time to the closed passages all around, reserving particular displeasure at the open gateway. The presence of Sarevok's ghost does nothing to improve her outlook.~
 IF ~~ THEN DO ~SetGlobal("IRTDescription1","LOCALS",1)~ EXIT
END

// 2: After the test, talked to sarevok, he is gone

IF WEIGHT #997
~IsGabber("Imoen2") Global("IRTDescription3","LOCALS",0) !Exists("Sarevok") Global("BeginChallenge1","GLOBAL",12) !ActuallyInCombat() AreaCheck("AR4500")~ THEN BEGIN des2
 SAY ~After going through the test, Imoen looks calmer. She's been licking her blistered finger ever since she touched one of the as-yet unopened gateways. Her eyes wander throughout the small pocket plane in search of any possible exit.~ [IRQUIET]
 IF ~~ THEN DO ~SetGlobal("IRTDescription2","LOCALS",1)~ EXIT
END

// 3: Pocket plane, Talked to Sarevok, not in party but in area


IF WEIGHT #997
~IsGabber("Imoen2") Exists("Sarevok") !InParty("Sarevok") Global("IRTDescription3","LOCALS",0) Global("BeginChallenge1","GLOBAL",12) !ActuallyInCombat() AreaCheck("AR4500")~ THEN BEGIN des3
 SAY ~After going through the test, Imoen looks calmer. She's been licking her blistered finger ever since she touched one of the as-yet unopened gateways. Her eyes wander throughout the small pocket plane in search of any possible exit, making certain to always keep track of Sarevok's whereabouts.~ [IRQUIET]
 IF ~~ THEN DO ~SetGlobal("IRTDescription3","LOCALS",1)~ EXIT
END

// 4: Pocket plane, Talked to Sarevok, he's in party

IF WEIGHT #997
~IsGabber("Imoen2") Exists("Sarevok") InParty("Sarevok") Global("IRTDescription3","LOCALS",0) IsValidForPartyDialog("SAREVOK") AreaCheck("AR4500")~ THEN BEGIN des4
 SAY ~After going through the test, Imoen looks calmer. She's been licking her blistered finger ever since she touched one of the as-yet unopened gateways. Her eyes wander throughout the small pocket plane in search of any possible exit, now and then throwing wary glances at Sarevok.~ [IRQUIET]
 IF ~~ THEN DO ~SetGlobal("IRTDescription3","LOCALS",1)~ EXIT
END

// 5: Saradush, Tavern

IF WEIGHT #997
~IsGabber("Imoen2") AreaCheck("AR5003") Global("IRTDescription5","LOCALS",0)~ THEN BEGIN des5
 SAY ~The tavern's dim lighting darkens Imoen's frame, accentuating the shadows under her eyes. It wasn't long ago that her face was the picture of wide-eyed innocence. Now her features are marked by the harsh path she's walked, the consequences of witnessing the darker side of life.~ [IRQUIET]
 = ~She looks around with curiosity, as usual. At first she'd startle with every meteor impact, but now it's as if she doesn't even notice them. If she is aware of the patrons' pointed scrutiny, she doesn't seem to care about it.~
 IF ~~ THEN DO ~SetGlobal("IRTDescription5","LOCALS",1)~ EXIT
END

// 6: Saradush, other rooms, not catacombs

IF WEIGHT #997
~IsGabber("Imoen2") Global("IRTDescription6","LOCALS",0) OR(9) AreaCheck("AR5004") AreaCheck("AR5005") AreaCheck("AR5008") AreaCheck("AR5009") AreaCheck("AR5010") AreaCheck("AR5011") AreaCheck("AR5012") AreaCheck("AR5015") AreaCheck("AR5016")~ THEN BEGIN des6
 SAY ~Imoen has tried to fix up her looks a bit, now that she's back to civilization. She spent some time combing her hair until the tangles and knots were gone, and smoothed and brushed her clothes as well as she could. She's visibly chafed at it all being ruined again by having to constantly run to cover from fiery projectiles.~ [IRQUIET]
 IF ~~ THEN DO ~SetGlobal("IRTDescription6","LOCALS",1)~ EXIT
END

// 7: Saradush, underground catacombs

IF WEIGHT #997
~IsGabber("Imoen2") Global("IRTDescription7","LOCALS",0) OR(4) AreaCheck("AR5006") AreaCheck("AR5007") AreaCheck("AR5014") AreaCheck("AR5013")~ THEN BEGIN des7
 SAY ~The dank lighting makes it almost impossible to make out Imoen's features. It is certain, regardless, that she does not look pleased. Between the ominous shaking form the siege and the scurrying vermin, her sighs and exasperated moans are all but constant.~ [IRQUIET]
 IF ~~ THEN DO ~SetGlobal("IRTDescription7","LOCALS",1)~ EXIT
END

// 8: Saradush, Gromnir's chambers

IF WEIGHT #997
~IsGabber("Imoen2") Global("IRTDescription8","LOCALS",0) OR(2) AreaCheck("AR5001") AreaCheck("AR5002")~ THEN BEGIN des8
 SAY ~Imoen makes no effort to disguise her awe at Gromnir's Chambers. She appears fascinated with the lush artwork in the carpets and tapestries, the mejestic statues, and the solemn yet cozy overall ambiance. In fact, she seems more interested in analyzing her surroundings than concentrating on the task at hand.~
 IF ~~ THEN DO ~SetGlobal("IRTDescription8","LOCALS",1)~ EXIT
END

// 9: Pocket Plane, just killed Gromnir

IF WEIGHT #997
~IsGabber("Imoen2") Global("IRTDescription9","LOCALS",0) AreaCheck("AR4500") Dead("Gromnir") !Global("DisplayPPString","AR6400",1)~ THEN BEGIN des9
 SAY ~Imoen's appearance is slightly messy after the recent events. She herself looks haggard underneath the surface, the constant danger starting to take a toll on her spirits. Nevertheless, she regards you with a smile when she notices that she's being observed, letting you know that she is doing just fine.~ [IRQUIET]
 = ~She absently combs her hair with her fingers while waiting for you to decide the next course of action.~
 IF ~~ THEN DO ~SetGlobal("IRTDescription9","LOCALS",1)~ EXIT
END

// 10: You just escaped Saradush, wilderness

IF WEIGHT #997
~IsGabber("Imoen2") Global("IRTDescription10","LOCALS",0) AreaCheck("AR6400")~ THEN BEGIN des10
 SAY ~Imoen always looks more at ease when your travels take you to the wilderness, though this doesn't stop her from complaining about a proper bath and clean sheets. However, her current stance is tense and alert: there's been far too much hardship lately for her to relax as much as she'd like.~ [IRQUIET]
 IF ~~ THEN DO ~SetGlobal("IRTDescription10","LOCALS",1)~ EXIT
END

// 11: Forest of Tyr

IF WEIGHT #997
~IsGabber("Imoen2") Global("IRTDescription11","LOCALS",0) AreaCheck("AR5202")~ THEN BEGIN des11
 SAY ~Even though Imoen enjoys forests and secluded places, this is certainly not the type of wilderness in which she'd choose to spend an evening. She constantly eyes the shadows inbetween the dying trees, paying special attention to the columns and carvings of the abandoned temple. The chill atmosphere has roused her skin with gooseflesh, and she grasps her weapon in a white-knuckled grip.~ [IRQUIET]
 IF ~~ THEN DO ~SetGlobal("IRTDescription11","LOCALS",1)~ EXIT
END

// 12: Marching mountains

IF WEIGHT #997
~IsGabber("Imoen2") Global("IRTDescription12","LOCALS",0) AreaCheck("AR5200")~ THEN des12
 SAY ~Imoen is restless as you traverse this arid, hostile region. The colossal frame of the fire giant parties that patrol the barren land can be seen in the distance, putting her on edge. Knowing that the battles ahead will certainly not be easy, she appears ready to give everything she's got to keep everyone alive.~ [IRQUIET]
 = ~Noticing your scrutiny, she nervously smiles. Fighting enemies over ten times taller than her has always made her jittery.~
 IF ~~ THEN DO ~SetGlobal("IRTDescription12","LOCALS",1)~ EXIT
END

// 13: Fire Giants Lair

IF WEIGHT #997
~IsGabber("Imoen2") Global("IRTDescription13","LOCALS",0) AreaCheck("AR5201")~ THEN des13
 SAY ~Imoen's skin glistens with sweat. The intense heat inside the fire giants' lair is almost unbearable. Her hair is stuck to her face, so damp that it seems like she just got out of a rainstorm, and her clothes are tight against her skin. Your own eyes feel as if they are being baked in a gigantic oven as you look at her. Probably, this isn't far from the truth.~ [IRQUIET]
 IF ~~ THEN DO ~SetGlobal("IRTDescription13","LOCALS",1)~ EXIT
END

// 14: Yaga-Shura's Chamber

IF WEIGHT #997
~IsGabber("Imoen2") Global("IRTDescription14","LOCALS",0) AreaCheck("AR5204")~ THEN des14
 SAY ~Imoen is focused and alert in spite of the abrasive heat. As is usual in truly dangerous situations, she has abandoned any trace of happy-go-lucky demeanor in favor of complete concentration. Perhaps more than ever, Imoen appears to have matured into the powerful spellcaster she dreamed to be.~ [IRQUIET]
 = ~And, well, between fighting three storey-tall giants and ravening fire elementals, there isn't much room left for levity.~
 IF ~~ THEN DO ~SetGlobal("IRTDescription14","LOCALS",1)~ EXIT
END

// 15: Siege Camp

IF WEIGHT #997
~IsGabber("Imoen2") Global("IRTDescription15","LOCALS",0) AreaCheck("AR5203") !GlobalGT("IRTImoenPastTalk","GLOBAL",0)~ THEN des15
 SAY ~As you approach the imminent fight with Yaga-Shura, you see Imoen softly muttering to herself, perhaps reviewing her incantations to make sure they stay fresh in her mind. Her breath comes faster, her eyes full of determination as they scan the battlefield before her.~ [IRQUIET]
 IF ~~ THEN DO ~SetGlobal("IRTDescription15","LOCALS",1)~ EXIT
END

// 16: Siege Camp (after killing Yaga-Shura)

IF WEIGHT #997
~IsGabber("Imoen2") Global("IRTDescription16","LOCALS",0) AreaCheck("AR5203") GlobalGT("IRTImoenPastTalk","GLOBAL",0)~ THEN des16
 SAY ~Imoen is silently looking at her surroundings, a somber expression on her face as she takes in the desolated landscape. The countless corpses that litter the battlefield, a direct result of your assault, are but a fraction of those within the razed city. A grim set to her features, she has already started to search the dead, looking for anything that could be of use for the group.~ [IRQUIET]
 IF ~~ THEN DO ~SetGlobal("IRTDescription16","LOCALS",1)~ EXIT
END

// 17: Pocket Plane, After killing Yaga-Shura, before the test

IF WEIGHT #997
~IsGabber("Imoen2") Global("IRTDescription17","LOCALS",0) AreaCheck("AR4500") GlobalGT("IRTImoenPastTalk","GLOBAL",0)~ THEN BEGIN des17
 SAY ~After entering the already familiar Pocket Plane, Imoen appears more relaxed, even at ease. You can tell that there is something about the atmosphere of this location that soothes her; her breath becomes deeper, her eyes stop constantly scanning her surroundings in search of the next threat, her muscles untighten. She feels safe.~ [IRQUIET]
 = ~Her only concern at the moment seems to be the gateways leading to your next challenge. Although weary and visibly tired, she is already preparing to confront whatever it is that lies beyond the eerie hallways.~
 IF ~~ THEN DO ~SetGlobal("IRTDescription17","LOCALS",1)~ EXIT
END

// 18: The Oasis

IF WEIGHT #997
~IsGabber("Imoen2") Global("IRTDescription18","LOCALS",0) AreaCheck("AR6300") !ActuallyInCombat()~ THEN BEGIN des18
 SAY ~Imoen is circumspect as you traverse the desolated oasis. She clearly wants to leave this place as soon as possible.~ [IRQUIET]
 IF ~~ THEN DO ~SetGlobal("IRTDescription18","LOCALS",1)~ EXIT
END

// 19: Arrival at Amkethran

IF WEIGHT #997
~IsGabber("Imoen2") Global("IRTDescription19","LOCALS",0) AreaCheck("AR5500")~ THEN BEGIN des19
 SAY ~Imoen appears excited to have returned to some degree of civilization. You can tell that she is very much looking forward to a hot bath, a comfortable bed, and a store full of goods through which she can browse at her leisure.~ [IRQUIET]
 IF ~~ THEN DO ~SetGlobal("IRTDescription19","LOCALS",1)~ EXIT
END

// 20: Woods before Sendai's enclave

IF WEIGHT #997
~IsGabber("Imoen2") Global("IRTDescriptions20","LOCALS",0) AreaCheck("AR6100")~ THEN BEGIN des20
	SAY ~Imoen looks downright grim as you traverse this ominous forest. Every cavernous crack and wail of the elements seems to coil her up ever tighter. The sense of imminent threat that pervades the area translates into Imoen's shallow breaths and constant darted glances.~ [IRQUIET]
	IF ~~ THEN DO ~SetGlobal("IRTDescription20","LOCALS",1)~ EXIT
END

// 21: Woodcutter's house

IF WEIGHT #997
~IsGabber("Imoen2") Global("IRTDescriptions21","LOCALS",0) AreaCheck("AR6111")~ THEN BEGIN des21
	SAY ~Imoen looks at every piece of furniture with a critical, suspicious eye. She appears convinced that every corner of the cabin is far more dangerous than it might seem.~ [IRQUIET]
	IF ~~ THEN DO ~SetGlobal("IRTDescription21","LOCALS",1)~ EXIT
END

// 22: Sendai's Enclave

IF WEIGHT #997
~IsGabber("Imoen2") Global("IRTDescriptions22","LOCALS",0) OR(10) AreaCheck("AR6101") AreaCheck("AR6102") AreaCheck("AR6103") AreaCheck("AR6104") AreaCheck("AR6105") AreaCheck("AR6106") AreaCheck("AR6107") AreaCheck("AR6108") AreaCheck("AR6109") AreaCheck("AR6110")~ THEN BEGIN des22
	SAY ~Imoen's features are shrouded in darkness. Every one of her muscles appears taut and ready to spring. She has made her aversion for the creatures of the Underdark well known in the past - she looks none too pleased to be facing them again.~ [IRQUIET]
	IF ~~ THEN DO ~SetGlobal("IRTDescription22","LOCALS",1)~ EXIT
END

// 23: Abazigal's entrance enclave

IF WEIGHT #997
~IsGabber("Imoen2") Global("IRTDescriptions23","LOCALS",0) AreaCheck("AR6000")~ THEN BEGIN des23
	SAY ~Imoen's frame is dwarfed by the giant scale of Abazigal's lair. She sometimes looks up and around in half-hearted awe, as if even this most impressive sight is only capable of mildly raising her eyebrow. Long past are days when Imoen would admire a mountain pass with wide-eyed wonder.~ [IRQUIET]
	IF ~~ THEN DO ~SetGlobal("IRTDescriptions23","LOCALS",1)~ EXIT
END
	
// 24: Abazigal's lair, main entrance

IF WEIGHT #997
~IsGabber("Imoen2") Global("IRTDescriptions24","LOCALS",0) AreaCheck("AR6001")~ THEN BEGIN des24
	SAY ~Immediately after entering, Imoen brought a hand to her nose. The humid smell here is overpowering, a mixture of old fish scales, sulphur and dredged earth. She is looking all over the cave-like environment with mild disgust, particularly concerned about the steaming pools scattered throughout. It is clear as day that the thought of swimming through such waters is not a pleasant one.~ [IRQUIET]
	IF ~~ THEN DO ~SetGlobal("IRTDescriptions24","LOCALS",1)~ EXIT
END

// 25: Abazigal's lair, anywhere but Abazigal's inner sanctum or the previous two

IF WEIGHT #997
~IsGabber("Imoen2") Global("IRTDescriptions25","LOCALS",0) OR(6) AreaCheck("AR6002") AreaCheck("AR6003") AreaCheck("AR6004") AreaCheck("AR6008") AreaCheck("AR6011") AreaCheck("AR6012")~ THEN des25
	SAY ~After swimming through the passages, Imoen's hair is slicked back behind her ears, while her clothes hang down limply from her frame. If she is exasperated in some way, she does not show it at the moment. Her expression is focused, professional. She pays attention to everything in her surroundings and every one of her senses is dedicated to getting through the enclave alive.~ [IRQUIET]
	IF ~~ THEN DO ~SetGlobal("IRTDescriptions25","LOCALS",1)~ EXIT
END
	
	
	




// ~~ Random Imoen selftalks ~~

IF WEIGHT #998 ~!Global("IRTQuarrelDue","GLOBAL",1) !Global("IRTCooldownDue","GLOBAL",1) IsGabber("Imoen2") RandomNum(40,1)~ THEN BEGIN ST1
	SAY ~I should stop talking to myself. Soon I'll be like Edwin.~ [IRQUIET]
IF ~~ EXIT END

IF WEIGHT #998 ~!Global("IRTQuarrelDue","GLOBAL",1) !Global("IRTCooldownDue","GLOBAL",1) IsGabber("Imoen2") RandomNum(40,2)~ THEN BEGIN ST2
	SAY ~You want something from me, Imoen? Oh, no, I didn't want to disturb you, Imoen. Alright, Imoen! You are quite wise, Imoen.~ [IRQUIET]
IF ~~ EXIT END

IF WEIGHT #998 ~!Global("IRTQuarrelDue","GLOBAL",1) !Global("IRTCooldownDue","GLOBAL",1) IsGabber("Imoen2") RandomNum(40,3)~ THEN BEGIN ST3
	SAY ~Hmmmm, maybe... maybe I'll buy some cookies next time we go to a city.~ [IRQUIET]
IF ~~ EXIT END

IF WEIGHT #998 ~!Global("IRTQuarrelDue","GLOBAL",1) !Global("IRTCooldownDue","GLOBAL",1) IsGabber("Imoen2") RandomNum(40,4)~ THEN BEGIN ST4
	SAY ~I wonder how many stars are there in the sky. I'm sure there's a priest of Oghma somewhere that can tell me. They know all sort of useless things.~ [IRQUIET]
IF ~~ EXIT END

IF WEIGHT #998 ~!Global("IRTQuarrelDue","GLOBAL",1) !Global("IRTCooldownDue","GLOBAL",1) IsGabber("Imoen2") RandomNum(40,5)~ THEN BEGIN ST5
	SAY ~(Imoen lets out a chuffed snort.) Stop biting your fingernails already, stop it!~ [IRQUIET]
IF ~~ EXIT END

IF WEIGHT #998 ~!Global("IRTQuarrelDue","GLOBAL",1) !Global("IRTCooldownDue","GLOBAL",1) IsGabber("Imoen2") RandomNum(40,6)~ THEN BEGIN ST6
	SAY ~(Imoen moans very faintly, lost in thoughts, and mutters something to herself.)~ [IRQUIET]
IF ~~ EXIT END

IF WEIGHT #998 ~!Global("IRTQuarrelDue","GLOBAL",1) !Global("IRTCooldownDue","GLOBAL",1) IsGabber("Imoen2") RandomNum(40,7)~ THEN BEGIN ST7
	SAY ~Just... where is it? Oh, gotcha! (Imoen fishes something out of a pocket and crams it in her mouth. She proceeds to chew happily.)~ [IRQUIET]
IF ~~ EXIT END

IF WEIGHT #998 ~!Global("IRTQuarrelDue","GLOBAL",1) !Global("IRTCooldownDue","GLOBAL",1) IsGabber("Imoen2") RandomNum(40,8)~ THEN BEGIN ST8
	SAY ~Egh. Leave me alone, you stupid whispers.~ [IRQUIET]
IF ~~ EXIT END

IF WEIGHT #998 ~!Global("IRTQuarrelDue","GLOBAL",1) !Global("IRTCooldownDue","GLOBAL",1) IsGabber("Imoen2") RandomNum(40,9)~ THEN BEGIN ST9
	SAY ~Boop.~ [IRQUIET]
IF ~~ EXIT END

IF WEIGHT #998 ~!Global("IRTQuarrelDue","GLOBAL",1) !Global("IRTCooldownDue","GLOBAL",1) IsGabber("Imoen2") RandomNum(40,10)~ THEN BEGIN ST10
	SAY ~Wonder what new books they've brought into Candlekeep lately.~ [IRQUIET]
IF ~~ EXIT END

IF WEIGHT #998 ~!Global("IRTQuarrelDue","GLOBAL",1) !Global("IRTCooldownDue","GLOBAL",1) IsGabber("Imoen2") RandomNum(40,11)~ THEN BEGIN ST11
	SAY ~Dum dee dum... da dee da dum dee dee... (Imoen sighs.)~ [IRQUIET]
IF ~~ EXIT END

IF WEIGHT #998 ~!Global("IRTQuarrelDue","GLOBAL",1) !Global("IRTCooldownDue","GLOBAL",1) IsGabber("Imoen2") RandomNum(40,12)~ THEN BEGIN ST12
	SAY ~(Imoen whistles softly to herself.)~ [IRQUIET]
IF ~~ EXIT END

IF WEIGHT #998 ~!Global("IRTQuarrelDue","GLOBAL",1) !Global("IRTCooldownDue","GLOBAL",1) IsGabber("Imoen2") RandomNum(40,13)~ THEN BEGIN ST13
	SAY ~(Imoen sings to herself.) And all the things that I read there, candle-lit smile that we both share...~ [IRQUIET]
IF ~~ EXIT END

IF WEIGHT #998 ~!Global("IRTQuarrelDue","GLOBAL",1) !Global("IRTCooldownDue","GLOBAL",1) IsGabber("Imoen2") RandomNum(40,14)~ THEN BEGIN ST14
	SAY ~Vulva is a funny word. Vulva. Vulva. Vulva!~ [IRQUIET]
IF ~~ EXIT END

IF WEIGHT #998 ~!Global("IRTQuarrelDue","GLOBAL",1) !Global("IRTCooldownDue","GLOBAL",1) IsGabber("Imoen2") RandomNum(40,15)~ THEN BEGIN ST15
	SAY ~My next goal is to get Cespenar to make me breakfast.~ [IRQUIET]
IF ~~ EXIT END

IF WEIGHT #998 ~!Global("IRTQuarrelDue","GLOBAL",1) !Global("IRTCooldownDue","GLOBAL",1) IsGabber("Imoen2") RandomNum(40,16)~ THEN BEGIN ST16
	SAY ~Where's that Breach scroll? I know I had it around here, somewhere...~ [IRQUIET]
IF ~~ EXIT END

IF WEIGHT #998 ~!Global("IRTQuarrelDue","GLOBAL",1) !Global("IRTCooldownDue","GLOBAL",1) IsGabber("Imoen2") RandomNum(40,17)~ THEN BEGIN ST17
	SAY ~Today is... sixday or sevenday?~ [IRQUIET]
IF ~~ EXIT END

IF WEIGHT #998 ~!Global("IRTQuarrelDue","GLOBAL",1) !Global("IRTCooldownDue","GLOBAL",1) IsGabber("Imoen2") RandomNum(40,18)~ THEN BEGIN ST18
	SAY ~(Imoen is humming a tune to herself. It sounds familiar.)~ [IRQUIET]
IF ~~ EXIT END

IF WEIGHT #998 ~!Global("IRTQuarrelDue","GLOBAL",1) !Global("IRTCooldownDue","GLOBAL",1) IsGabber("Imoen2") RandomNum(40,19)~ THEN BEGIN ST19
	SAY ~Talking to oneself is a sign of insanity. It's a good thing I talk to the voices, instead.~ [IRQUIET]
IF ~~ EXIT END

IF WEIGHT #998 ~!Global("IRTQuarrelDue","GLOBAL",1) !Global("IRTCooldownDue","GLOBAL",1) IsGabber("Imoen2") RandomNum(40,20)~ THEN BEGIN ST20
	SAY ~(When she thinks no one is looking at her, Imoen scratches her bottom.) Aah, much better.~ [IRQUIET]
IF ~~ EXIT END

IF WEIGHT #998 ~!Global("IRTQuarrelDue","GLOBAL",1) !Global("IRTCooldownDue","GLOBAL",1) IsGabber("Imoen2") RandomNum(40,21)~ THEN BEGIN ST21
	SAY ~I like philosophy. It is... philosophical.~ [IRQUIET]
IF ~~ EXIT END

IF WEIGHT #998 ~!Global("IRTQuarrelDue","GLOBAL",1) !Global("IRTCooldownDue","GLOBAL",1) IsGabber("Imoen2") RandomNum(40,22)~ THEN BEGIN ST22
	SAY ~And the sun burns my skin,
	But it's outside and in, it's burning.
	Only you can soothe me,
	Come cool me down.~ [IRQUIET]
IF ~~ EXIT END

IF WEIGHT #998 ~!Global("IRTQuarrelDue","GLOBAL",1) !Global("IRTCooldownDue","GLOBAL",1) IsGabber("Imoen2") RandomNum(40,23)~ THEN BEGIN ST23
	SAY ~(Imoen smiles at some random thought.)~ [IRQUIET]
IF ~~ EXIT END

IF WEIGHT #998 ~!Global("IRTQuarrelDue","GLOBAL",1) !Global("IRTCooldownDue","GLOBAL",1) IsGabber("Imoen2") RandomNum(40,24)~ THEN BEGIN ST24
	SAY ~I want a cookie.~ [IRQUIET]
IF ~~ EXIT END

IF WEIGHT #998 ~!Global("IRTQuarrelDue","GLOBAL",1) !Global("IRTCooldownDue","GLOBAL",1) IsGabber("Imoen2") RandomNum(40,25)~ THEN BEGIN ST25
	SAY ~I really want a cookie.~ [IRQUIET]
IF ~~ EXIT END

IF WEIGHT #998 ~!Global("IRTQuarrelDue","GLOBAL",1) !Global("IRTCooldownDue","GLOBAL",1) IsGabber("Imoen2") RandomNum(40,26)~ THEN BEGIN ST26
	SAY ~I really, REALLY want a cookie.~ [IRQUIET]
IF ~~ EXIT END

IF WEIGHT #998 ~!Global("IRTQuarrelDue","GLOBAL",1) !Global("IRTCooldownDue","GLOBAL",1) IsGabber("Imoen2") RandomNum(40,27)~ THEN BEGIN ST27
	SAY ~I'd kill for a cinnamon cookie right now. I'd just hurt someone a bit for a chocolate chip cookie.~ [IRQUIET]
IF ~~ EXIT END

IF WEIGHT #998 ~!Global("IRTQuarrelDue","GLOBAL",1) !Global("IRTCooldownDue","GLOBAL",1) IsGabber("Imoen2") RandomNum(40,28)~ THEN BEGIN ST28
	SAY ~Hey, Imoen, ya got any cookies left? Nope, I'm all out, Imoen. Gee, we should buy some, Imoen. Yep, I agree.~ [IRQUIET]
IF ~~ EXIT END

IF WEIGHT #998 ~!Global("IRTQuarrelDue","GLOBAL",1) !Global("IRTCooldownDue","GLOBAL",1) IsGabber("Imoen2") RandomNum(40,29)~ THEN BEGIN ST29
	SAY ~As fun as it is to talk to yourself, dontcha think it's time to do something productive?~ [IRQUIET]
	= ~Yeah, good point, Imoen. Let's hide <CHARNAME>'s underwear again.~
IF ~~ EXIT END

IF WEIGHT #998 ~!Global("IRTQuarrelDue","GLOBAL",1) !Global("IRTCooldownDue","GLOBAL",1) IsGabber("Imoen2") RandomNum(40,30)~ THEN BEGIN ST30
	SAY ~He who smelled it, dealt it.~ [IRQUIET]
IF ~~ EXIT END

IF WEIGHT #998 ~!Global("IRTQuarrelDue","GLOBAL",1) !Global("IRTCooldownDue","GLOBAL",1) IsGabber("Imoen2") RandomNum(40,31)~ THEN BEGIN ST31
	SAY ~La-lalaaaa! I'm superImoen! SuperImoen comes to the rescue!~ [IRQUIET]
IF ~~ EXIT END

IF WEIGHT #998 ~!Global("IRTQuarrelDue","GLOBAL",1) !Global("IRTCooldownDue","GLOBAL",1) IsGabber("Imoen2") RandomNum(40,32)~ THEN BEGIN ST32
	SAY ~(Imoen starts picking her nose, then pretends she was scratching an itch just in case someone is watching her.)~ [IRQUIET]
IF ~~ EXIT END

IF WEIGHT #998 ~!Global("IRTQuarrelDue","GLOBAL",1) !Global("IRTCooldownDue","GLOBAL",1) IsGabber("Imoen2") RandomNum(40,33)~ THEN BEGIN ST33
	SAY ~(Imoen is staring off into the distance.)~ [IRQUIET]
IF ~~ EXIT END

IF WEIGHT #998 ~!Global("IRTQuarrelDue","GLOBAL",1) !Global("IRTCooldownDue","GLOBAL",1) IsGabber("Imoen2") RandomNum(40,34)~ THEN BEGIN ST34
	SAY ~Perhaps the key to unravel all of the mysteries in the multiverse will be revealed to me if I talk to myself often enough.~ [IRQUIET]
IF ~~ EXIT END

IF WEIGHT #998 ~!Global("IRTQuarrelDue","GLOBAL",1) !Global("IRTCooldownDue","GLOBAL",1) IsGabber("Imoen2") RandomNum(40,35)~ THEN BEGIN ST35
	SAY ~I HATE cookies! Nah, just kiddin'.~ [IRQUIET]
IF ~~ EXIT END

IF WEIGHT #998 ~!Global("IRTQuarrelDue","GLOBAL",1) !Global("IRTCooldownDue","GLOBAL",1) IsGabber("Imoen2") RandomNum(40,36)~ THEN BEGIN ST36
	SAY ~(Imoen has pulled out a mirror out of her backpack and seems to be in the middle of funny face practice.)~ [IRQUIET]
IF ~~ EXIT END

IF WEIGHT #998 ~!Global("IRTQuarrelDue","GLOBAL",1) !Global("IRTCooldownDue","GLOBAL",1) IsGabber("Imoen2") RandomNum(40,37)~ THEN BEGIN ST37
	SAY ~(Imoen is absently biting her fingernails.)~ [IRQUIET]
IF ~~ EXIT END

IF WEIGHT #998 ~!Global("IRTQuarrelDue","GLOBAL",1) !Global("IRTCooldownDue","GLOBAL",1) IsGabber("Imoen2") RandomNum(40,38)~ THEN BEGIN ST38
	SAY ~(Imoen is readily standing at attention, prepared to take action whenever you need her to.)~ [IRQUIET]
IF ~~ EXIT END

IF WEIGHT #998 ~!Global("IRTQuarrelDue","GLOBAL",1) !Global("IRTCooldownDue","GLOBAL",1) IsGabber("Imoen2") RandomNum(40,39)~ THEN BEGIN ST39
	SAY ~(Imoen lets out a long, drawn-out sigh.)~ [IRQUIET]
IF ~~ EXIT END

IF WEIGHT #998 ~!Global("IRTQuarrelDue","GLOBAL",1) !Global("IRTCooldownDue","GLOBAL",1) IsGabber("Imoen2") RandomNum(40,40)~ THEN BEGIN ST40
	SAY ~(Imoen is likely thinking about cookie-related topics.)~ [IRQUIET]
IF ~~ EXIT END
END
